| v_hdmitxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- p
- r
- s
- t
- u
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AbsAddr : XV_HdmiTxSs1_SubCore
- Address : XV_HdmiTxSs1_DynHdr_Config , Onsemi_RegisterField
- AppMajVer : XV_HdmiTxSs1
- AppMinVer : XV_HdmiTxSs1
- AudioChannels : XV_HdmiTxSs1
- AudioEnabled : XV_HdmiTxSs1
- AudioInfoframe : XV_HdmiTxSs1
- AudioMute : XV_HdmiTxSs1
- AVIInfoframe : XV_HdmiTxSs1
- AxiLiteClkFreq : XV_HdmiTxSs1_Config

### - b -

- BaseAddress : XV_HdmiTxSs1_Config
- BrdgLockedCallback : XV_HdmiTxSs1
- BrdgLockedRef : XV_HdmiTxSs1
- BrdgOverflowCallback : XV_HdmiTxSs1
- BrdgOverflowRef : XV_HdmiTxSs1
- BrdgUnderflowCallback : XV_HdmiTxSs1
- BrdgUnderflowRef : XV_HdmiTxSs1
- BrdgUnlockedCallback : XV_HdmiTxSs1
- BrdgUnlockedRef : XV_HdmiTxSs1

### - c -

- CedUpdateCallback : XV_HdmiTxSs1
- CedUpdatePRef : XV_HdmiTxSs1
- Config : XHdmi_Menu , XV_HdmiTxSs1
- ConnectCallback : XV_HdmiTxSs1
- ConnectRef : XV_HdmiTxSs1
- CurrentMenu : XHdmi_Menu

### - d -

- DataBuffer : XV_HdmiTxSs1_Log
- DeviceId : XV_HdmiTxSs1_SubCore , XV_HdmiTxSs1_Config
- DeviceType : Onsemi_RegisterField
- DrmInfoframe : XV_HdmiTxSs1
- DSC : XV_HdmiTxSs1_Config
- DscDecodeFailCallback : XV_HdmiTxSs1
- DscDecodeFailRef : XV_HdmiTxSs1
- DynHdr : XV_HdmiTxSs1_Config
- DynHdrMtwCallback : XV_HdmiTxSs1
- DynHdrMtwRef : XV_HdmiTxSs1

### - e -

- EnableHDCPLogging : XV_HdmiTxSs1
- EnableHDMILogging : XV_HdmiTxSs1
- ErrorCallback : XV_HdmiTxSs1
- ErrorRef : XV_HdmiTxSs1

### - f -

- FAPA : XV_HdmiTxSs1_DynHdr_Config
- ForceIndependent : XHdmi_Exdes
- FrlConfigCallback : XV_HdmiTxSs1
- FrlConfigRef : XV_HdmiTxSs1
- FrlFfeCallback : XV_HdmiTxSs1
- FrlFfeRef : XV_HdmiTxSs1
- FrlStartCallback : XV_HdmiTxSs1
- FrlStartRef : XV_HdmiTxSs1
- FrlStopCallback : XV_HdmiTxSs1
- FrlStopRef : XV_HdmiTxSs1

### - g -

- GOF : XV_HdmiTxSs1_DynHdr_Config
- Gpio : XVfmc

### - h -

- Hdcp14 : XV_HdmiTxSs1_Config
- Hdcp22 : XV_HdmiTxSs1_Config
- HdcpIsSupported : XHdmi_MenuConfig
- HdcpProtocol : XV_HdmiTxSs1
- HdcpTimer : XV_HdmiTxSs1_Config
- HdmiTx1 : XV_HdmiTxSs1_Config
- HdmiTx1Ptr : XV_HdmiTxSs1
- HeadIndex : XV_HdmiTxSs1_Log
- HighAddress : XV_HdmiTxSs1_Config

### - i -

- IicPtr : XVfmc
- IsPresent : XV_HdmiTxSs1_SubCore
- IsReady : XVfmc , XV_HdmiTxSs1
- IsRxPresent : XHdmi_Exdes
- IsStreamConnected : XV_HdmiTxSs1
- IsStreamToggled : XV_HdmiTxSs1
- IsStreamUp : XV_HdmiTxSs1
- IsTxPresent : XHdmi_Exdes

### - l -

- Loc : XVfmc
- Log : XV_HdmiTxSs1
- LogWriteCallback : XV_HdmiTxSs1
- LogWriteRef : XV_HdmiTxSs1

### - m -

- MaxBitsPerPixel : XV_HdmiTxSs1_Config

### - p -

- PktLength : XV_HdmiTxSs1_DynHdr_Config
- PktType : XV_HdmiTxSs1_DynHdr_Config
- Ppc : XV_HdmiTxSs1_Config

### - r -

- RxMezzType : XVfmc

### - s -

- SamplingRate : XV_HdmiTxSs1
- StreamDownCallback : XV_HdmiTxSs1
- StreamDownRef : XV_HdmiTxSs1
- StreamUpCallback : XV_HdmiTxSs1
- StreamUpRef : XV_HdmiTxSs1
- SystemEvent : XHdmi_Exdes
- SysTmrInst : XHdmi_Exdes
- SysTmrPulseIntervalinMs : XHdmi_Exdes

### - t -

- TailIndex : XV_HdmiTxSs1_Log
- TimeRecord : XV_HdmiTxSs1_Log
- TmdsConfigCallback : XV_HdmiTxSs1
- TmdsConfigRef : XV_HdmiTxSs1
- ToggleCallback : XV_HdmiTxSs1
- ToggleRef : XV_HdmiTxSs1
- TxBusy : XHdmi_Exdes
- TxMezzType : XVfmc
- TxStartTransmit : XHdmi_Exdes

### - u -

- UartBaseAddress : XHdmi_Menu

### - v -

- Value : XHdmi_Menu
- VideoInterface : XV_HdmiTxSs1_Config
- VsCallback : XV_HdmiTxSs1
- VSIF : XV_HdmiTxSs1
- VsRef : XV_HdmiTxSs1
- Vtc : XV_HdmiTxSs1_Config
- VtcPtr : XV_HdmiTxSs1